%define majversion %(echo %version | cut -d. -f 1-2)
Name:          libslang
Version:       2.3.2
Release:       2mamba
Summary:       The shared library for the S-Lang extension language
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.s-lang.org
Source0:       http://www.jedsoft.org/releases/slang/slang-%{version}.tar.bz2
Source2:       %{name}-README.UTF-8
Patch10:       %{name}-2.0.5-makefile.patch
Patch11:       %{name}-2.0.5-SLutf8_enable.patch
Patch12:       %{name}-2.0.5-nointerlibc2.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: libpcre-devel >= 6.3
BuildRequires: libpng-devel >= 1.2.8
BuildRequires: libonig-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Obsoletes:     libslang1

%description
S-Lang is an interpreted language and a programming library.
The S-Lang language was designed so that it can be easily embedded into a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang extension language.
S-Lang's syntax resembles C, which makes it easy to recode S-Lang procedures in C if you need to.

%package -n slang
Summary:       S-Lang is an interpreted language and a programming library.
Group:         Applications/Development
Requires:      %{name} = %{version}-%{release}

%description -n slang
S-Lang is an interpreted language and a programming library.
The S-Lang language was designed so that it can be easily embedded into a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang extension language.
S-Lang's syntax resembles C, which makes it easy to recode S-Lang procedures in C if you need to.

%package devel
Summary:       The static library and header files for development using S-Lang
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Obsoletes:     libslang1-devel

%description devel
This package contains the S-Lang extension language static libraries and header files which you'll need if you want to develop S-Lang based applications.
Documentation which may help you write S-Lang based applications is also included.

Install the slang-devel package if you want to develop applications based on the S-Lang extension language.

%debug_package

%prep
%setup -q -n slang-%{version}

%build
#perl -p -i -e \
#'s/(ELF_CFLAGS=\"[^\"]*)-O2([^\"]*\".*)/$1'"$RPM_OPT_FLAGS"' $2/gs' \
#configure

%configure \
   --includedir=%{_includedir}/slang

%make -j1 all

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -d %{buildroot}%{_includedir}/slang

%makeinstall \
   install_lib_dir=%{_libdir} \
   install_include_dir=%{_includedir}/slang

chmod 755 %{buildroot}%{_libdir}/*.so.*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -n slang
%defattr(-,root,root)
%config %{_sysconfdir}/slsh.rc
%{_bindir}/slsh
%{_datadir}/slsh/*
%{_mandir}/man1/slsh.1*

%files
%defattr(-,root,root)
%{_libdir}/libslang.so.*
%{_libdir}/slang/v2/modules/*-module.so
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/slang/*.h
%{_libdir}/libslang.so
%dir %{_docdir}/slang
%dir %{_docdir}/slang/v2
%{_datadir}/doc/slang/v2/*
%dir %{_docdir}/slsh
%dir %{_docdir}/slsh/html
%{_docdir}/slsh/html/slshfun*.html
%{_libdir}/pkgconfig/slang.pc
%doc doc README

%changelog
* Thu Nov 26 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.2-2mamba
- rebuilt with debug package

* Mon Apr 02 2018 Automatic Build System <autodist@mambasoft.it> 2.3.2-1mamba
- automatic version update by autodist

* Fri Dec 16 2016 Automatic Build System <autodist@mambasoft.it> 2.3.1a-1mamba
- automatic version update by autodist

* Mon Mar 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.0-1mamba
- update to 2.3.0

* Thu Jul 26 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.4-2mamba
- rebuilt with --enable-wide-chars
- build with libonig

* Mon May 16 2011 Automatic Build System <autodist@mambasoft.it> 2.2.4-1mamba
- automatic update by autodist

* Wed Feb 23 2011 Automatic Build System <autodist@mambasoft.it> 2.2.3-1mamba
- automatic update by autodist

* Sun Apr 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.2-2mamba
- removed broken libslang-utf8 library link

* Tue Mar 23 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.2-1mamba
- update to 2.2.2

* Tue Mar 23 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.4-2mamba
- build requirements fixed
- added slang subpackage

* Fri Dec 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.4-1mamba
- update to 2.1.4

* Sun May 18 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.7-1mamba
- update to 2.0.7
- libslang1 legacy package: disabled and obsoleted

* Tue Jan 31 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.0.5-1qilnx
- update to version 2.0.5 by autospec
- new compatiblity package libslang1

* Tue Jan 31 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.4.9-3qilnx
- UTF-8 fixes

* Mon Sep 12 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.4.9-2qilnx
- specfile fixes and updates

* Thu Apr 24 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it> 1.4.9-1qilnx
- creation of slang package
